Page MenuHome

Mantaflow Wavelet Noise Crash
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.19041-SP0 64 Bits
Graphics card: GeForce RTX 3090/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 461.40

Blender Version
Broken: version: 2.92.0 Beta, branch: master, commit date: 2021-01-31 13:31, hash: rBa9b53daf23ba
Worked: 2.91.0

Short description of error
When wavelet noise is enabled Blender randomly crashes during baking without an error message. When it's off baking is working.

Exact steps for others to reproduce the error
Everything is set-up in my attached file. Wavelet Noise must be enabled for the crash to happen.

Event Timeline

When wavelet noise upsampling is set to 1 baking works fine. Crash happen with upsampling set to 2+

Michał Wieczorek (michal1000w) renamed this task from Wavelet Noise Crash to Mantaflow Wavelet Noise Crash.Feb 3 2021, 2:17 PM
Sebastián Barschkis (sebbas) changed the task status from Needs Triage to Needs Information from User.Feb 4 2021, 1:38 PM

@Michał Wieczorek (michal1000w) Hi! Was just trying out the file but didn't get a crash so far.

It might be because I just recently committed a bigger fix (rB1a5b988509fa). Can you try again with a daily build (https://builder.blender.org/download/)?

Yes, after some tests it seems to be fixed :D
Thank you for your work and have a nice day

Ok great, thanks for testing! Similar to T84649 the update then fixed this crash too. Cheers!